import config from '../../config.js';
/**
  * @param {number} year
  */
async function getDonutContent(year) {
  return new Promise((resolve, reject) => {
    resolve(
      [
        "Auvergne-Rhône-Alpes",
        "Hauts-de-France",
        "Provence-Alpes-Côte d'Azur",
        "Grand Est",
        "Occitanie",
        "Normandie",
        "Nouvelle-Aquitaine",
        "Centre-Val de Loire",
        "Corse",
        "Bourgogne-Franche-Comté",
        "Bretagne",
        "Pays de la Loire",
        "Île-de-France",
        "Guadeloupe",
        "Martinique",
        "Guyane",
        "La Réunion",
        "Mayotte",
        "Nouvelle Calédonie"
      ].map((x) => ({region: x, occurences: Math.round(Math.random() * 300)}))
    );
  });
}
async function fetchBarChartData(formData) {
  const url = `${config.apiUrl}/bar-chart/${formData.startDate}/${formData.endDate}/${formData.granularity}?page=1`;
  const response = await fetch(url);
  const data = await response.json();
  return data;
}

export default {
  getDonutContent,
  fetchBarChartData
};
